Package twisted :: Package web :: Module distrib :: Class ResourceSubscription |
[frames | no frames]

## Class ResourceSubscription

    Resource --+
               |
              ResourceSubscription

Method Summary
| `__init__(self, host, port)`
| ``__getstate__`(self)` Get persistent state for this ResourceSubscription.
| `booted(self)`
| ``connected`(self, publisher)` I've connected to a publisher; I'll now send all my requests.
| ``notConnected`(self, msg)` I can't connect to a publisher; I'll now reply to all pending requests.
| ``render`(self, request)` Render this request, from my server.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`

Class Variable Summary
`int` | `isLeaf` = 1
`int` | `waiting` = 0
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Method Details

### __getstate__(self) Get persistent state for this ResourceSubscription.

### connected(self, publisher) I've connected to a publisher; I'll now send all my requests.

### notConnected(self, msg) I can't connect to a publisher; I'll now reply to all pending requests.

### render(self, request) Render this request, from my server. This will always be asynchronous, and therefore return NOT_DONE_YET. It spins off a request to the pb client, and either adds it to the list of pending issues or requests it immediately, depending on if the client is already connected. Overrides: `twisted.web.resource.Resource.render`

Class Variable Details

    ### isLeaf Type: `int` Value:
        1

    ### waiting Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net